summaryrefslogtreecommitdiff
path: root/t/t9010-svn-fe.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t9010-svn-fe.sh')
-rwxr-xr-xt/t9010-svn-fe.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/t/t9010-svn-fe.sh b/t/t9010-svn-fe.sh
index e9e46ea0fe..c96bf2f5c0 100755
--- a/t/t9010-svn-fe.sh
+++ b/t/t9010-svn-fe.sh
@@ -2,7 +2,23 @@
test_description='check svn dumpfile importer'
-. ./lib-git-svn.sh
+. ./test-lib.sh
+
+if ! svnadmin -h >/dev/null 2>&1
+then
+ skip_all='skipping svn-fe tests, svn not available'
+ test_done
+fi
+
+svnconf=$PWD/svnconf
+export svnconf
+
+svn_cmd () {
+ subcommand=$1 &&
+ shift &&
+ mkdir -p "$svnconf" &&
+ svn "$subcommand" --config-dir "$svnconf" "$@"
+}
reinit_git () {
rm -fr .git &&